PixVerse V4.5 Effects
Entegre et
pixverse/v4.5/effects
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://api.doitong.ru/v1/run/pixverse/v4.5/effects?wait=20" \
-H "Authorization: Bearer $DOITONG_API_KEY" \
-H "Content-Type: application/json" \
-d '{
"effect": "Kiss Me AI",
"image": "https://content.doitong.com/images/showcase/v3/gen_fox_cartoon.jpg"
}'
# Still "queued" or "running"? Poll with the id from the response:
curl "https://api.doitong.ru/v1/requests/REQUEST_ID?wait=20" \
-H "Authorization: Bearer $DOITONG_API_KEY"
const API = "https://api.doitong.ru/v1";
const headers = {
"Authorization": "Bearer " + process.env.DOITONG_API_KEY,
"Content-Type": "application/json",
};
// Run the model; wait up to 20 s for the finished result in the same call
let res = await fetch(API + "/run/pixverse/v4.5/effects?wait=20", {
method: "POST",
headers,
body: JSON.stringify({
"effect": "Kiss Me AI",
"image": "https://content.doitong.com/images/showcase/v3/gen_fox_cartoon.jpg"
}),
});
let request = await res.json();
if (!res.ok) throw new Error(request.error.code + ": " + request.error.message);
// Not finished yet: long-poll until it is
while (request.status === "queued" || request.status === "running") {
res = await fetch(API + "/requests/" + request.id + "?wait=20", { headers });
request = await res.json();
}
if (request.status !== "succeeded") throw new Error(JSON.stringify(request.error));
console.log(request.outputs.map((o) => o.url), request.cost.credits + " API credits ($" + request.cost.usd + ")");
import os
import requests
API = "https://api.doitong.ru/v1"
headers = {"Authorization": "Bearer " + os.environ["DOITONG_API_KEY"]}
payload = {
"effect": "Kiss Me AI",
"image": "https://content.doitong.com/images/showcase/v3/gen_fox_cartoon.jpg",
}
# Run the model; wait up to 20 s for the finished result in the same call
r = requests.post(API + "/run/pixverse/v4.5/effects", params={"wait": 20}, json=payload, headers=headers)
request = r.json()
if not r.ok:
raise RuntimeError(request["error"]["code"] + ": " + request["error"]["message"])
# Not finished yet: long-poll until it is
while request["status"] in ("queued", "running"):
request = requests.get(API + "/requests/" + request["id"], params={"wait": 20}, headers=headers).json()
if request["status"] != "succeeded":
raise RuntimeError(request["error"])
print([o["url"] for o in request["outputs"]], request["cost"]["credits"], "API credits", "$" + request["cost"]["usd"])
# 1. Connect once (Claude Code; Cursor, VS Code, Claude Desktop: https://doitong.com/tr/developers/docs/mcp)
claude mcp add --transport http doitong-models https://api.doitong.ru/v1/mcp \
--header "Authorization: Bearer $DOITONG_API_KEY"
# 2. Your agent calls the "run" tool with:
{
"model_id": "pixverse/v4.5/effects",
"input": {
"effect": "Kiss Me AI",
"image": "https://content.doitong.com/images/showcase/v3/gen_fox_cartoon.jpg"
}
}
PixVerse V4.5 Effects modelini (pixverse/v4.5/effects) Doitong API üzerinden çağırın. Ajanlar için belgeler: https://doitong.com/tr/developers/models/pixverse/v4.5/effects.md
POST https://api.doitong.ru/v1/run/pixverse/v4.5/effects?wait=20
Authorization: Bearer $DOITONG_API_KEY
Content-Type: application/json
{
"effect": "Kiss Me AI",
"image": "https://content.doitong.com/images/showcase/v3/gen_fox_cartoon.jpg"
}
Yanıt durumu "queued" veya "running" ise, durum "succeeded" olana kadar GET https://api.doitong.ru/v1/requests/REQUEST_ID?wait=20 ile yoklayın; dosyalar outputs[].url içindedir. Aynı gövdeyle POST https://api.doitong.ru/v1/quote/pixverse/v4.5/effects, çalıştırmadan önce kesin fiyatı döndürür.
Örnekteki gibi dosyalar: $0,20 200 API kredisi · ≈ ₽21,09 dosyalarınız çalıştırmadan önce ölçülür Bu sayfada çalıştır
Yeni API anahtarınız. Yalnızca şimdi gösterilir ve zaten aşağıdaki kodda ve API anahtarı alanında bulunur. Gizli tutun: tarayıcıda çalışan kodlara asla eklemeyin.
İlk sonucunuz burada görünecek
Aşağıda bir istek oluşturun ve API anahtarınızla çalıştırın. Çıktılar depolamamıza kopyalanır ve sonsuza kadar veya ücretsiz olarak 7 gün boyunca saklanır.
İstek oluştur
Kontroller model şemasından oluşturulur. Değerleri değiştirdikçe kod ve fiyat güncellenir.
/run/pixverse/v4.5/effects?wait=20
fiyat → $0,20
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://api.doitong.ru/v1/run/pixverse/v4.5/effects?wait=20" \
-H "Authorization: Bearer $DOITONG_API_KEY" \
-H "Content-Type: application/json" \
-d '{
"effect": "Kiss Me AI",
"image": "https://content.doitong.com/images/showcase/v3/gen_fox_cartoon.jpg"
}'
# Still "queued" or "running"? Poll with the id from the response:
curl "https://api.doitong.ru/v1/requests/REQUEST_ID?wait=20" \
-H "Authorization: Bearer $DOITONG_API_KEY"
const API = "https://api.doitong.ru/v1";
const headers = {
"Authorization": "Bearer " + process.env.DOITONG_API_KEY,
"Content-Type": "application/json",
};
// Run the model; wait up to 20 s for the finished result in the same call
let res = await fetch(API + "/run/pixverse/v4.5/effects?wait=20", {
method: "POST",
headers,
body: JSON.stringify({
"effect": "Kiss Me AI",
"image": "https://content.doitong.com/images/showcase/v3/gen_fox_cartoon.jpg"
}),
});
let request = await res.json();
if (!res.ok) throw new Error(request.error.code + ": " + request.error.message);
// Not finished yet: long-poll until it is
while (request.status === "queued" || request.status === "running") {
res = await fetch(API + "/requests/" + request.id + "?wait=20", { headers });
request = await res.json();
}
if (request.status !== "succeeded") throw new Error(JSON.stringify(request.error));
console.log(request.outputs.map((o) => o.url), request.cost.credits + " API credits ($" + request.cost.usd + ")");
import os
import requests
API = "https://api.doitong.ru/v1"
headers = {"Authorization": "Bearer " + os.environ["DOITONG_API_KEY"]}
payload = {
"effect": "Kiss Me AI",
"image": "https://content.doitong.com/images/showcase/v3/gen_fox_cartoon.jpg",
}
# Run the model; wait up to 20 s for the finished result in the same call
r = requests.post(API + "/run/pixverse/v4.5/effects", params={"wait": 20}, json=payload, headers=headers)
request = r.json()
if not r.ok:
raise RuntimeError(request["error"]["code"] + ": " + request["error"]["message"])
# Not finished yet: long-poll until it is
while request["status"] in ("queued", "running"):
request = requests.get(API + "/requests/" + request["id"], params={"wait": 20}, headers=headers).json()
if request["status"] != "succeeded":
raise RuntimeError(request["error"])
print([o["url"] for o in request["outputs"]], request["cost"]["credits"], "API credits", "$" + request["cost"]["usd"])
{
"jsonrpc": "2.0",
"id": 1,
"method": "tools/call",
"params": {
"name": "run",
"arguments": {
"model_id": "pixverse/v4.5/effects",
"input": {
"effect": "Kiss Me AI",
"image": "https://content.doitong.com/images/showcase/v3/gen_fox_cartoon.jpg"
},
"wait_seconds": 20
}
}
}
Bu isteği çalıştır
Anahtarınız bu tarayıcıda kalır: yalnızca Doitong API'ye gönderilir ve yalnızca Hatırla seçeneğini işaretlerseniz localStorage'a kaydedilir. API anahtarı al
PixVerse V4.5 Effects hakkında
İlk kare olarak kullanılan bir `image_url` değerine, 154 seçenek arasından Kiss, Hug veya Zombie Mode gibi adlandırılmış bir `effect` uygular. `resolution` 360p ila 1080p, `duration` 5 veya 8 saniyedir. İstenmeyen içerikten uzaklaşmak için `negative_prompt` kullanılabilir.
Parametreler
Kanonik adı veya yerel adı gönderin; ikisini birden göndermeyin. Kanonik adlar
effectgerekli
+138 tane daha
Punch FaceCreepy Devil SmileThunder GodEye Zoom ChallengeWho's Arrested?Baby ArrivedWerewolf RageBald SwipeBOOM DROPHuge CutieLiquid MetalSharksnap!Dust Me Away3D Figurine FactorBikini UpMy GirlfriendsMy BoyfriendsSubject 3 FeverEarth ZoomPole DanceVroom DanceGhostFace TerrorDragon EvokerSkeletal BaeSummoning succubusHalloween Voodoo Doll3D Naked-Eye ADPackage ExplosionDishes ServedOcean adSupermarket ADTree dollCome Feel My AbsThe Bicep FlexLondon Elite VibeFlora Nymph GownChristmas CostumeIt's SnowyReindeer CruiserSnow Globe MakerPet Christmas OutfitAdopt a Polar PalCat Christmas BoxStarlight Gift BoxXmas PosterPet Christmas TreeCity Santa HatStocking SweetieChristmas NightXmas Front Page KarmaGrinch's Xmas HijackGiant ProductTruck Fashion ShootBeach ADShoal SurroundMechanical AssemblyLighting ADBillboard ADProduct close-upParachute DeliveryDreamlike CloudMacaron MachinePoster ADTruck ADGraffiti AD3D Figurine FactoryThe Exclusive First ClassArt Zoom ChallengeI QuitHitchcock Dolly ZoomSmell the LensI believe I can flyStrikout DanceCourtside CamPit Crew MomentK-Baseball SprintToddler DoodleIdol EndingApex DanceOmniHero ForgePalm DecodeThe Age RippleMy Future Is LimitlessKnee SlideEpic Goal SaveSideline Ball BoyCup CelebrationVictory RoarVuvuzela FanWorld Champion LiftTunnel to CaptainLiquid Soccer MorphJump Into Crowd 2Golden Pitch CrasherStadium Fan CamBroadcast Moto GPThe Grotesque ClayRookie Star CardThe Final HugSharp Post-Match CommentStreet MaverickPitch LegendOne Step At A TimeBirthday MirrorSuperstar LobbyFinal Battle RoomTop of the WorldMini Me UnboxedWonderPOP SurpriseWhite ChicksKiss meWhat a DayThe Last Leap at SunsetTiny Sticker Chef ChaosMini Squeeze ToyTearful GunmanStreet Fashion CaricatureMini Me MakeoverStreet Art AwakeningHug TogetherACAI dance DuetPUBG Winner Hit!Blocky Mini-MeCheat Day BustedMiniSocial RechargeMy Little Perler CharmWhere did this cobweb come from?Holy Beast Summoning TechniqueIT'S THE FIRST OF THE MONTHPet EditorialThree lifetime bondPixel WorldMint in BoxHands up, HandFlora Nymph GoSomber EmbraceBeam me upSuit Swaggerimage_urlgerekli
image
resolutionisteğe bağlı
durationisteğe bağlı
negative_promptisteğe bağlı
enable_safety_checkeristeğe bağlı
Dosya parametreleri herkese açık bir https:// URL'si, 10 MB'a kadar bir data: URI'si veya yüklenen bir dosyanın file_url değerini kabul eder. Dosyalar
Çıktı
{
"id": "req_8k2m4q7x1z9c3v5b6n0p2r4t",
"object": "request",
"model": "pixverse/v4.5/effects",
"status": "succeeded",
"created_at": "2026-10-20T12:00:00Z",
"started_at": "2026-10-20T12:00:02Z",
"completed_at": "2026-10-20T12:00:09Z",
"queue_position": null,
"cost": {
"credits": 200,
"usd": "0.20",
"charged": 200,
"refunded": 0
},
"input": {
"effect": "Kiss Me AI",
"image_url": "https://content.doitong.com/images/showcase/v3/gen_fox_cartoon.jpg"
},
"output": {
"video": {
"url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.mp4",
"content_type": "video/mp4",
"file_name": "0-output.mp4",
"file_size": 1843200
}
},
"outputs": [
{
"type": "video",
"url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.mp4",
"content_type": "video/mp4",
"file_size": 1843200,
"width": 1280,
"height": 720,
"duration": 5,
"stored": true
}
],
"error": null,
"metrics": {
"inference_seconds": 6.8
},
"urls": {
"self": "https://api.doitong.ru/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t",
"cancel": "https://api.doitong.ru/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t/cancel"
}
}
Çıktı alanları
- video
- object {url, content_type, file_name, file_size}Model tarafından üretilen video.
Diğer PixVerse 45 varyantları
Daha fazla model: Görselden Videoya
AI aracıları için: bu sayfanın Markdown biçimi şurada: https://doitong.com/tr/developers/models/pixverse/v4.5/effects.md. Tüm modeller ve kılavuzlar: https://doitong.com/developers/llms.txt